List all subscriptions
curl --request GET \
--url https://us.getconvoy.cloud/api/v1/projects/{projectID}/subscriptions \
--header 'Authorization: <api-key>'import requests
url = "https://us.getconvoy.cloud/api/v1/projects/{projectID}/subscriptions"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://us.getconvoy.cloud/api/v1/projects/{projectID}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"status": true,
"data": {
"content": [
{
"alert_config": {
"count": 123,
"threshold": "<string>"
},
"created_at": "<string>",
"deleted_at": "<string>",
"device_metadata": {
"created_at": "<string>",
"deleted_at": "<string>",
"endpoint_id": "<string>",
"host_name": "<string>",
"last_seen_at": "<string>",
"project_id": "<string>",
"uid": "<string>",
"updated_at": "<string>"
},
"endpoint_metadata": {
"advanced_signatures": true,
"authentication": {
"api_key": {
"header_name": "<string>",
"header_value": "<string>"
},
"basic_auth": {
"password": "<string>",
"username": "<string>"
},
"oauth2": {
"audience": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"field_mapping": {
"access_token": "<string>",
"expires_in": "<string>",
"token_type": "<string>"
},
"grant_type": "<string>",
"issuer": "<string>",
"scope": "<string>",
"signing_algorithm": "<string>",
"signing_key": {
"crv": "<string>",
"d": "<string>",
"dp": "<string>",
"dq": "<string>",
"e": "<string>",
"kid": "<string>",
"kty": "<string>",
"n": "<string>",
"p": "<string>",
"q": "<string>",
"qi": "<string>",
"x": "<string>",
"y": "<string>"
},
"subject": "<string>",
"url": "<string>"
}
},
"content_type": "<string>",
"created_at": "<string>",
"deleted_at": "<string>",
"description": "<string>",
"events": 123,
"failure_rate": 123,
"http_timeout": 123,
"mtls_client_cert": {
"client_cert": "<string>",
"client_key": "<string>"
},
"name": "<string>",
"owner_id": "<string>",
"project_id": "<string>",
"rate_limit": 123,
"rate_limit_duration": 123,
"secrets": [
{
"created_at": "<string>",
"deleted_at": "<string>",
"expires_at": "<string>",
"uid": "<string>",
"updated_at": "<string>",
"value": "<string>"
}
],
"slack_webhook_url": "<string>",
"support_email": "<string>",
"uid": "<string>",
"updated_at": "<string>",
"url": "<string>"
},
"filter_config": {
"event_types": [
"<string>"
],
"filter": {
"body": {},
"headers": {},
"is_flattened": true
}
},
"function": "<string>",
"name": "<string>",
"project_id": "<string>",
"rate_limit_config": {
"count": 123,
"duration": 123
},
"retry_config": {
"duration": 123,
"retry_count": 123
},
"source_metadata": {
"body_function": "<string>",
"created_at": "<string>",
"custom_response": {
"body": "<string>",
"content_type": "<string>"
},
"deleted_at": "<string>",
"forward_headers": [
"<string>"
],
"header_function": "<string>",
"idempotency_keys": [
"<string>"
],
"is_disabled": true,
"mask_id": "<string>",
"name": "<string>",
"project_id": "<string>",
"provider_config": {
"twitter": {
"crc_verified_at": "<string>"
}
},
"pub_sub": {
"amqp": {
"host": "<string>",
"auth": {
"password": "<string>",
"user": "<string>"
},
"bindedExchange": "<string>",
"deadLetterExchange": "<string>",
"port": "<string>",
"queue": "<string>",
"routingKey": "<string>",
"schema": "<string>",
"vhost": "<string>"
},
"google": {
"project_id": "<string>",
"service_account": [
123
],
"subscription_id": "<string>"
},
"kafka": {
"auth": {
"hash": "<string>",
"password": "<string>",
"tls": true,
"type": "<string>",
"username": "<string>"
},
"brokers": [
"<string>"
],
"consumer_group_id": "<string>",
"topic_name": "<string>"
},
"sqs": {
"access_key_id": "<string>",
"default_region": "<string>",
"endpoint": "<string>",
"queue_name": "<string>",
"secret_key": "<string>"
},
"workers": 123
},
"uid": "<string>",
"updated_at": "<string>",
"url": "<string>",
"verifier": {
"api_key": {
"header_name": "<string>",
"header_value": "<string>"
},
"basic_auth": {
"password": "<string>",
"username": "<string>"
},
"hmac": {
"hash": "<string>",
"header": "<string>",
"secret": "<string>"
}
}
},
"uid": "<string>",
"updated_at": "<string>"
}
],
"pagination": {
"has_next_page": true,
"has_prev_page": true,
"next_page_cursor": "<string>",
"per_page": 123,
"prev_page_cursor": "<string>"
}
}
}{
"message": "<string>",
"status": true,
"data": {}
}{
"message": "<string>",
"status": true,
"data": {}
}{
"message": "<string>",
"status": true,
"data": {}
}Subscriptions
List all subscriptions
This endpoint fetches all the subscriptions
GET
/
v1
/
projects
/
{projectID}
/
subscriptions
List all subscriptions
Authorizations
Path Parameters
Project ID
Query Parameters
Available options:
next, prev A list of endpointIDs to filter by
Subscription name to filter by
A pagination cursor to fetch the next page of a list
The number of items to return per page
A pagination cursor to fetch the previous page of a list
Sort order, values are ASC or DESC, defaults to DESC
Was this page helpful?
⌘I